Subject: Re: [PATCH][NET] make all protos partially use sk_prot

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Sat, 26 Mar 2005 15:55:39 -0300

On Sat, 26 Mar 2005 17:31:53 +0100, Marcel Holtmann <[email-masked]> wrote:
> Hi Arnaldo,
> 
> > >     Here is an updated patch, taking, I hope, all of Marcel
> > > considerations into account and also fixing a bug in proto_register,
> > > I was returning on error without dropping the lock.
> >
> > the error path of some init function in the Bluetooth subsystem is still
> > wrong. 

Which one? I'll check...

>> And I don't really like your way of using the labels, because
> > this twists my brain too much. 

Oh well, this is how things are done all over the place, but lets be fair
with your brain ;)

>> I fixed all of these and while we are at
> > it, I cleaned up the init functions. Please use the attached patch
> > instead of your changes to the Bluetooth subsystem.

Whatever, I'll cook up a new patch with your changes for bluetooth.

> oops, I forgot to include hci_sock.c into that patch. Here is a fixed
> one.

Regards,

- Arnaldo